VOL_ID(8)

NAME
vol_id - probe filesystem type and read label and uuid

SYNOPSIS
vol_id [--export|-t|-l|-u] blockdevice

DESCRIPTION
vol_id is normally called from a udev rule, to provide udev with the label and uuid of a filesystem. vol_id supports all common filesystem formats and detects various raid setups to prevent the recognition of raid members as a filesystem.

USAGE
vol_id opens the device node specified at the commandline.

OPTIONS
The following commandline switches are supported to specify what vol_id should print:

--export
    print all values in key/value format to import them into the environment.

-l  print the label of the partition

-t  print the type of the partition

-u  print the uuid of the partition

EXIT STATUS
vol_id will only return successful if the string asked for is not empty. All trailing whitespace will be removed, spaces replaced by underscore and slashes ignored.

SEE ALSO
udev(8)

AUTHORS
Developed by Kay Sievers <kay.sievers@vrfy.org>.